#!/bin/csh

#
# This script runs the complete processing and extraction algorithms
# for the quantitative J-NH TROSY method.  It runs a series of other
# scripts to process the data.
#

./fid.com                   # extract the FIDs from the ser file (Bruker)

./split.com                 # split the extracted FID into reference and
                            # attenuated FIDs; apply Rance-Kay

./nmrproc.com               # perform spectral processing and transformation
                            # for both spectra

./pk.tcl                    # Pick peaks.  Generated using the automated
                            # method within NMRDraw.  This step is normally
                            # interactive, resulting from peak-picking in
                            # NMRDraw, but for simplicity it's used here
                            # as an automatic script.

./ipap.com                  # Copy assignments to the new test.tab.  
                            # ipap.tcl is normally interactive, but the 
                            # -exit flag causes it to quit after copying
                            # assignments.

./fitQJ.com                 # Gets intensities for the reference assignments
                            # in the attenuated spectrum.

./couplings.com             # Extract the couplings from axt.tab using the
                            # included python script (get_jnh.py).
                            # Normally you need to **EDIT THIS**, since it 
                            # contains the spectrum noise and the value 
                            # for T.

#./clean.com                # Remove all processed data.  Commented
                            # for obvious reasons.


# Included in this package is a copy of the GB3 reference JNH values
# and an xmgrace data file comparing the ARTSY values with the reference
# (IPAP) values.
