#!/bin/csh

#
# Each file below is a peak table, saved in Sparky, where
# data heights are included.  Note that in both tables the
# actual peak positions are identical.
#

set refList = Lists/dnh_t001.list      # Reference spectrum
set attList = Lists/dnh_t002.list      # Attenuated spectrum

# Output files

set outTab  = sparky_axt.tab           # Output table with intensity ratios
set outJNH  = sparky_jnh.dat           # Output list of JNH values
set compare = sparky_vs_seriesTab.dat  # comparison of sparky & seriesTab J's


rm -f $outTab
touch $outTab
echo "VARS   INDEX ASS HEIGHT Z_A0 Z_A1"     >> $outTab
echo "FORMAT %5d %10s %13.5e %13.5e %13.5e"  >> $outTab
echo ""                                      >> $outTab

paste $refList $attList | grep "HN" | \
  awk '{printf("%5i %10s %13.5e %13.5e %13.5e\n", NR, $1, $4, 1.0, $8/$4)}' \
   >> $outTab


../get_jnh.py -T 10.75 -n 89508 -i sparky_axt.tab > sparky_jnh.dat

paste sparky_jnh.dat ../jnh.dat | \
  awk '{print $2, $6, $3, $7, $4}' > sparky_vs_seriesTab.dat

